Subject: [PULL] VGIC fixes for KVM/ARM

From: [email-masked] (Marc Zyngier)
Date: Fri, 22 Mar 2013 16:29:41 +0000

On 22/02/13 19:30, Marc Zyngier wrote:
> On Fri, 22 Feb 2013 19:18:25 +0000, Russell King - ARM Linux
> <[email-masked]> wrote:
>> On Fri, Feb 22, 2013 at 06:28:41PM +0100, Marc Zyngier wrote:
>>> On Fri, 22 Feb 2013 15:41:36 +0000, Russell King - ARM Linux
>>> <[email-masked]> wrote:
>>>> On Fri, Feb 22, 2013 at 02:58:12PM +0100, Marc Zyngier wrote:
>>>>> Arnd, Olof,
>>>>>
>>>>> Please find below a pull request for a couple of fixes concerning
>>>>> the VGIC implementation in KVM. No real hurry, these can probably
>>>>> be applied after the merge window.
>>>>>
>>>>> The branch is on top of mainline as of this morning, but I'm happy
>>>>> to rebase it on something else if that's more convenient.
>>>>
>>>> Now, why is this being thrown at arm-soc?  Is it not core ARM stuff,
>>>> or is KVM being counted as yet another platform?
>>>
>>> You're right. Arm-soc took care of the initial merge of the VGIC code
>>> because of other dependencies, but now that it has been merged, I
> should
>>> have sent the pull request to you. Sincere apologies.
>>>
>>> Shall I send you another pull request, or would you prefer these
> patches
>>> in the patch system?
>>
>> Does it need another pull request or is your original sufficient for me
>> to pull?
> 
> It is directly based on mainline as of this morning, so it should be good
> for you to pull it.

Hi Russell,

Any chance this two patches can make it into the next -rc? They do fix a
couple of important issues (loss of guest interrupts).

I'm happy to either resend a pull request if you want one, or put them
in the patch system if that's more convenient.

Thanks,

	M.
-- 
Jazz is not dead. It just smells funny...